import { ElementRef, AfterViewInit, OnDestroy, Renderer } from '@angular/core';
import { WindowService } from '../window/window.service';
export declare class Disqus implements AfterViewInit, OnDestroy {
    private el;
    private renderer;
    identifier: string;
    shortname: string;
    url: string;
    categoryId: string;
    lang: string;
    /** Remove DISQUS script on destroy
     *  This is useful to let DISQUS change its theme according if the page background color changed.
     */
    removeOnDestroy: boolean;
    private window;
    constructor(el: ElementRef, renderer: Renderer, window: WindowService);
    ngAfterViewInit(): void;
    /**
     * Reset disqus with new inputs.
     */
    reset(): void;
    /**
     * Add disqus script to the document.
     */
    addScriptTag(): void;
    /**
     * Get disqus config
     */
    getConfig(): () => void;
    ngOnDestroy(): void;
}
